All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::chow_patel_ilu_precond< viennacl::compressed_matrix< NumericT, AlignmentV > > Class Template Reference

Parallel Chow-Patel ILU preconditioner class, can be supplied to solve()-routines. More...

`#include <chow_patel_ilu.hpp>`

## Public Member Functions

| chow_patel_ilu_precond (viennacl::compressed_matrix< NumericT, AlignmentV > const &A, chow_patel_tag const &tag)
template<typename VectorT >
void | apply (VectorT &vec) const
| Preconditioner application: LUx = b, computed via Ly = b, Ux = y using Jacobi iterations. More...

## Detailed Description

### template<typename NumericT, unsigned int AlignmentV>
class viennacl::linalg::chow_patel_ilu_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >

Parallel Chow-Patel ILU preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 248 of file chow_patel_ilu.hpp.

## Constructor & Destructor Documentation

template<typename NumericT , unsigned int AlignmentV>

viennacl::linalg::chow_patel_ilu_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::chow_patel_ilu_precond | ( | viennacl::compressed_matrix< NumericT, AlignmentV > const & | A,
|  | chow_patel_tag const & | tag
| ) |  |

inline

Definition at line 252 of file chow_patel_ilu.hpp.

## Member Function Documentation

template<typename NumericT , unsigned int AlignmentV>
template<typename VectorT >

void viennacl::linalg::chow_patel_ilu_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::apply | ( | VectorT & | vec | ) | const

inline

Preconditioner application: LUx = b, computed via Ly = b, Ux = y using Jacobi iterations.

L_ contains (I - D_L^{-1}L), U_ contains (I - D_U^{-1}U) where D denotes the respective diagonal matrix

Definition at line 269 of file chow_patel_ilu.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/chow_patel_ilu.hpp